Subject: Re: bug#26454: [PATCH 2/2] gnu: add emacs-exwm

From: Arun Isaac <[email-masked]>
Date: Sun, 16 Apr 2017 16:36:23 +0530

>>>> In your new patch, could you add a phase for generating this code from
>>>> the xcb-proto xml files as well? Thanks!
>>
>>> I don't think it it a good idea, xcb-xproto.el provided by repo is
>>> tested by developer. if we regenerate it, i don't know whether it
>>> work or not.
>
> That would effectively mean we don’t have the source code for this,
> which would be a problem.
>
> What about generating it, and if we do find differences compared to the
> pre-compiled xcb-proto.el, then we can keep it in mind and report any
> issues upstream?

In the latest version of the patch, we are regenerating the sources from
xcb-proto. So, this issue has been addressed.